%define upstream_name     MIME-EncWords
%define upstream_version 1.014.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Deal with RFC-1522 encoded words (improved)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-MIME-EncWords-CVE-2016-1238.patch

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(MIME::Charset) >= 1.10.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.yml MYMETA.yml README
%{perl_vendorlib}/Encode
%{perl_vendorlib}/MIME
%{perl_vendorlib}/POD2
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.14.3-5pclos2017
- rebuild against updates

